### Signal

# RB RhythmDBQueryModel::entry-prop-changed

#### Declaration

    void
    entry_prop_changed (
      RhythmDBQueryModel* self,
      RhythmDBEntry* entry,
      gint prop,
      gpointer old,
      gpointer new_value,
      gpointer user_data
    )

#### Description [src]

Emitted when an entry in the query model is changed. When multiple properties are changed, the entry-prop-changed signals will be emitted in the order that the changes were made. At the point that the signal is emitted, all changes have already been applied to the `RhythmDBEntry`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` that changed.

  The data is owned by the caller of the function.

`prop`

  Type: `gint`

  The `RhythmDBPropType` that was changed.

`old`

  Type: `gpointer`

  The previous value for the property.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`new_value`

  Type: `gpointer`

  The new value for the property.

  The argument can be `NULL`.
  The data is owned by the caller of the function.